=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2006-08-30 13:54:51 +0000
+++ bzrlib/knit.py	2006-09-05 19:58:39 +0000
@@ -403,18 +403,20 @@
         """See VersionedFile.copy_to()."""
         # copy the current index to a temp index to avoid racing with local
         # writes
-        transport.put(name + INDEX_SUFFIX + '.tmp', self.transport.get(self._index._filename),)
+        transport.put_file(name + INDEX_SUFFIX + '.tmp',
+                           self.transport.get(self._index._filename))
         # copy the data file
         f = self._data._open_file()
         try:
-            transport.put(name + DATA_SUFFIX, f)
+            transport.put_file(name + DATA_SUFFIX, f)
         finally:
             f.close()
         # move the copied index into place
         transport.move(name + INDEX_SUFFIX + '.tmp', name + INDEX_SUFFIX)
 
     def create_empty(self, name, transport, mode=None):
-        return KnitVersionedFile(name, transport, factory=self.factory, delta=self.delta, create=True)
+        return KnitVersionedFile(name, transport, factory=self.factory,
+                                 delta=self.delta, create=True)
     
     def _fix_parents(self, version, new_parents):
         """Fix the parents list for version.
@@ -1308,7 +1310,7 @@
         self._cache = {}
         self._do_cache = False
         if create:
-            self._transport.put(self._filename, StringIO(''), mode=file_mode)
+            self._transport.put_bytes(self._filename, '', mode=file_mode)
 
     def enable_cache(self):
         """Enable caching of reads."""

=== modified file 'bzrlib/lockable_files.py'
--- bzrlib/lockable_files.py	2006-07-28 16:05:23 +0000
+++ bzrlib/lockable_files.py	2006-09-05 19:58:39 +0000
@@ -193,7 +193,7 @@
                      directory
         :param f: A file-like or string object whose contents should be copied.
         """
-        self._transport.put(self._escape(path), file, mode=self._file_mode)
+        self._transport.put_file(self._escape(path), file, mode=self._file_mode)
 
     @needs_write_lock
     def put_utf8(self, path, a_string):
@@ -339,5 +339,5 @@
     def create(self, mode=None):
         """Create lock mechanism"""
         # for old-style locks, create the file now
-        self._transport.put(self._escaped_name, StringIO(), 
+        self._transport.put_bytes(self._escaped_name, '',
                             mode=self._file_modebits)

